package com.yihaomen.feign;

import java.util.List;

import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;


@FeignClient(value="microservice-user", fallback = UserServiceFallback.class)
public interface IUserInterface {
	
	@SuppressWarnings("rawtypes")
	@RequestMapping(value = "/users", method = RequestMethod.GET)
    List getUsers();

}
